Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# TAO::Portable_Server::RequestProcessingStrategy Class Reference

`#include <RequestProcessingStrategy.h>`

Inheritance diagram for TAO::Portable_Server::RequestProcessingStrategy:

[legend]
Collaboration diagram for TAO::Portable_Server::RequestProcessingStrategy:

[legend]
List of all members.

## Public Member Functions
| RequestProcessingStrategy (void)
virtual void | strategy_init (TAO_Root_POA *poa)
virtual void | strategy_init (TAO_Root_POA *poa,::PortableServer::ServantRetentionPolicyValue)
virtual void | strategy_cleanup ()
virtual PortableServer::ServantManager_ptr | get_servant_manager ()=0 throw (CORBA::SystemException, PortableServer::POA::WrongPolicy)
virtual void | set_servant_manager (PortableServer::ServantManager_ptr imgr)=0 throw (CORBA::SystemException, PortableServer::POA::WrongPolicy)
virtual void | set_servant (PortableServer::Servant servant)=0 throw (CORBA::SystemException, PortableServer::POA::WrongPolicy)
virtual PortableServer::Servant | get_servant ()=0 throw (CORBA::SystemException, PortableServer::POA::WrongPolicy)
virtual TAO_SERVANT_LOCATION | locate_servant (const PortableServer::ObjectId &system_id, PortableServer::Servant &servant)=0
virtual PortableServer::Servant | locate_servant (const char *operation, const PortableServer::ObjectId &system_id, TAO::Portable_Server::Servant_Upcall &servant_upcall, TAO::Portable_Server::POA_Current_Impl &poa_current_impl, int &wait_occurred_restart_call)=0
virtual void | cleanup_servant (PortableServer::Servant servant, const PortableServer::ObjectId &user_id)=0
virtual PortableServer::Servant | system_id_to_servant (const PortableServer::ObjectId &system_id)=0
virtual PortableServer::Servant | id_to_servant (const PortableServer::ObjectId &id)=0 throw (CORBA::SystemException, PortableServer::POA::ObjectNotActive, PortableServer::POA::WrongPolicy)
virtual void | etherealize_objects (CORBA::Boolean etherealize_objects)=0
virtual PortableServer::ObjectId * | servant_to_id (PortableServer::Servant servant)=0 throw (CORBA::SystemException, PortableServer::POA::ServantNotActive, PortableServer::POA::WrongPolicy)
virtual void | post_invoke_servant_cleanup (const PortableServer::ObjectId &system_id, const TAO::Portable_Server::Servant_Upcall &servant_upcall)=0
virtual ::PortableServer::RequestProcessingPolicyValue | type () const =0
virtual ::PortableServer::ServantRetentionPolicyValue | sr_type () const
## Protected Attributes
TAO_Root_POA * | poa_
::PortableServer::ServantRetentionPolicyValue | sr_value_

## Constructor & Destructor Documentation

TAO::Portable_Server::RequestProcessingStrategy::RequestProcessingStrategy | ( | void |  | ) |

## Member Function Documentation

virtual void TAO::Portable_Server::RequestProcessingStrategy::cleanup_servant | ( | PortableServer::Servant | servant,
|  | const PortableServer::ObjectId & | user_id
| ) | `[pure virtual]`

| Implemented in TAO::Portable_Server::RequestProcessingStrategyAOMOnly, TAO::Portable_Server::RequestProcessingStrategyDefaultServant, TAO::Portable_Server::RequestProcessingStrategyServantActivator, and TAO::Portable_Server::RequestProcessingStrategyServantLocator.

virtual void TAO::Portable_Server::RequestProcessingStrategy::etherealize_objects | ( | CORBA::Boolean | etherealize_objects | ) | `[pure virtual]`

| Implemented in TAO::Portable_Server::RequestProcessingStrategyAOMOnly, TAO::Portable_Server::RequestProcessingStrategyDefaultServant, TAO::Portable_Server::RequestProcessingStrategyServantActivator, and TAO::Portable_Server::RequestProcessingStrategyServantLocator.

virtual PortableServer::Servant TAO::Portable_Server::RequestProcessingStrategy::get_servant | ( |  | ) | throw (CORBA::SystemException, PortableServer::POA::WrongPolicy)`[pure virtual]`

| Implemented in TAO::Portable_Server::RequestProcessingStrategyAOMOnly, TAO::Portable_Server::RequestProcessingStrategyDefaultServant, and TAO::Portable_Server::RequestProcessingStrategyServantManager.

virtual PortableServer::ServantManager_ptr TAO::Portable_Server::RequestProcessingStrategy::get_servant_manager | ( |  | ) | throw (CORBA::SystemException, PortableServer::POA::WrongPolicy)`[pure virtual]`

| Implemented in TAO::Portable_Server::RequestProcessingStrategyAOMOnly, TAO::Portable_Server::RequestProcessingStrategyDefaultServant, TAO::Portable_Server::RequestProcessingStrategyServantActivator, and TAO::Portable_Server::RequestProcessingStrategyServantLocator.

virtual PortableServer::Servant TAO::Portable_Server::RequestProcessingStrategy::id_to_servant | ( | const PortableServer::ObjectId & | id | ) | throw (CORBA::SystemException, PortableServer::POA::ObjectNotActive, PortableServer::POA::WrongPolicy)`[pure virtual]`

| Implemented in TAO::Portable_Server::RequestProcessingStrategyAOMOnly, TAO::Portable_Server::RequestProcessingStrategyDefaultServant, and TAO::Portable_Server::RequestProcessingStrategyServantManager.

virtual PortableServer::Servant TAO::Portable_Server::RequestProcessingStrategy::locate_servant | ( | const char * | operation,
|  | const PortableServer::ObjectId & | system_id,
|  | TAO::Portable_Server::Servant_Upcall & | servant_upcall,
|  | TAO::Portable_Server::POA_Current_Impl & | poa_current_impl,
|  | int & | wait_occurred_restart_call
| ) | `[pure virtual]`

| Implemented in TAO::Portable_Server::RequestProcessingStrategyAOMOnly, TAO::Portable_Server::RequestProcessingStrategyDefaultServant, TAO::Portable_Server::RequestProcessingStrategyServantActivator, and TAO::Portable_Server::RequestProcessingStrategyServantLocator.

virtual TAO_SERVANT_LOCATION TAO::Portable_Server::RequestProcessingStrategy::locate_servant | ( | const PortableServer::ObjectId & | system_id,
|  | PortableServer::Servant & | servant
| ) | `[pure virtual]`

| Implemented in TAO::Portable_Server::RequestProcessingStrategyAOMOnly, TAO::Portable_Server::RequestProcessingStrategyDefaultServant, TAO::Portable_Server::RequestProcessingStrategyServantActivator, and TAO::Portable_Server::RequestProcessingStrategyServantLocator.

virtual void TAO::Portable_Server::RequestProcessingStrategy::post_invoke_servant_cleanup | ( | const PortableServer::ObjectId & | system_id,
|  | const TAO::Portable_Server::Servant_Upcall & | servant_upcall
| ) | `[pure virtual]`

| Implemented in TAO::Portable_Server::RequestProcessingStrategyAOMOnly, TAO::Portable_Server::RequestProcessingStrategyDefaultServant, TAO::Portable_Server::RequestProcessingStrategyServantActivator, and TAO::Portable_Server::RequestProcessingStrategyServantLocator.

virtual PortableServer::ObjectId* TAO::Portable_Server::RequestProcessingStrategy::servant_to_id | ( | PortableServer::Servant | servant | ) | throw (CORBA::SystemException, PortableServer::POA::ServantNotActive, PortableServer::POA::WrongPolicy)`[pure virtual]`

| Implemented in TAO::Portable_Server::RequestProcessingStrategyAOMOnly, TAO::Portable_Server::RequestProcessingStrategyDefaultServant, and TAO::Portable_Server::RequestProcessingStrategyServantManager.

virtual void TAO::Portable_Server::RequestProcessingStrategy::set_servant | ( | PortableServer::Servant | servant | ) | throw (CORBA::SystemException, PortableServer::POA::WrongPolicy)`[pure virtual]`

| Implemented in TAO::Portable_Server::RequestProcessingStrategyAOMOnly, TAO::Portable_Server::RequestProcessingStrategyDefaultServant, and TAO::Portable_Server::RequestProcessingStrategyServantManager.

virtual void TAO::Portable_Server::RequestProcessingStrategy::set_servant_manager | ( | PortableServer::ServantManager_ptr | imgr | ) | throw (CORBA::SystemException, PortableServer::POA::WrongPolicy)`[pure virtual]`

| Implemented in TAO::Portable_Server::RequestProcessingStrategyAOMOnly, TAO::Portable_Server::RequestProcessingStrategyDefaultServant, TAO::Portable_Server::RequestProcessingStrategyServantActivator, and TAO::Portable_Server::RequestProcessingStrategyServantLocator.

PortableServer::ServantRetentionPolicyValue TAO::Portable_Server::RequestProcessingStrategy::sr_type | ( |  | ) | const

virtual void TAO::Portable_Server::RequestProcessingStrategy::strategy_cleanup | ( |  | ) | `[virtual]`

| Implements TAO::Portable_Server::Policy_Strategy. Reimplemented in TAO::Portable_Server::RequestProcessingStrategyDefaultServant, TAO::Portable_Server::RequestProcessingStrategyServantActivator, and TAO::Portable_Server::RequestProcessingStrategyServantLocator.

void TAO::Portable_Server::RequestProcessingStrategy::strategy_init | ( | TAO_Root_POA * | poa,
|  | ::PortableServer::ServantRetentionPolicyValue |
| ) | `[virtual]`

virtual void TAO::Portable_Server::RequestProcessingStrategy::strategy_init | ( | TAO_Root_POA * | poa | ) | `[virtual]`

| Implements TAO::Portable_Server::Policy_Strategy.

virtual PortableServer::Servant TAO::Portable_Server::RequestProcessingStrategy::system_id_to_servant | ( | const PortableServer::ObjectId & | system_id | ) | `[pure virtual]`

| Implemented in TAO::Portable_Server::RequestProcessingStrategyAOMOnly, TAO::Portable_Server::RequestProcessingStrategyDefaultServant, and TAO::Portable_Server::RequestProcessingStrategyServantManager.

virtual ::PortableServer::RequestProcessingPolicyValue TAO::Portable_Server::RequestProcessingStrategy::type | ( |  | ) | const`[pure virtual]`

| Implemented in TAO::Portable_Server::RequestProcessingStrategyAOMOnly, TAO::Portable_Server::RequestProcessingStrategyDefaultServant, and TAO::Portable_Server::RequestProcessingStrategyServantManager.

## Member Data Documentation

TAO_Root_POA* TAO::Portable_Server::RequestProcessingStrategy::poa_`[protected]`

::PortableServer::ServantRetentionPolicyValue TAO::Portable_Server::RequestProcessingStrategy::sr_value_`[protected]`

The documentation for this class was generated from the following files:

- RequestProcessingStrategy.h
- RequestProcessingStrategy.cpp